# IRsUVRenderer Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Render ([in] IUnknown *pDevice)
HRESULT | Invalidate ()
HRESULT | SetViewportData ([in] const RtUVcoord &panning,[in] RtFloat zoom,[in] RtFloat aspect)
HRESULT | Rebuild ([in] IUnknown *pDevice)
HRESULT | OnReset ()
HRESULT | ClearMeshData ()
HRESULT | FillNodeSelection ([in] IRdUVEditorData *pEditorData,[in] IRdUVEPreferences *pPreferences,[in] IUnknown *pDevice)
HRESULT | FillMeshData ([in] IRdUVEditorData *pEditorData,[in] IRdUVEPreferences *pPreferences,[in] IUnknown *pDeviceUnk,[in] RtBool bRebuildTransparency)
HRESULT | FillSelection ([in] IRdUVEditorData *pEditorData,[in] IRdUVEPreferences *pPreferences,[in] IUnknown *pDeviceUnk)
HRESULT | FillHighlight ([in] IRdUVEditorData *pEditorData,[in] IRdUVEPreferences *pPreferences,[in] IUnknown *pDeviceUnk)
HRESULT | FillMaterials ([in] IRdUVEditorData *pEditorData,[in] IRdUVEPreferences *pPreferences,[in] IUnknown *pDeviceUnk)
HRESULT | Fill ([in] IRdUVEditorData *pEditorData,[in] IRdUVEPreferences *pPreferences,[in] IRdUVEViewport *pViewport,[in] IUnknown *pDevice,[in] RtDWORD dwFlags)

## Detailed Description

Renderer of UVE window contents:

- Renders grid
- Background texture
- Current material texture
- UV mapping
- Selection
- Highlight

## Member Function Documentation

HRESULT IRsUVRenderer::Render | ( | [in] IUnknown * | pDevice | ) |

Renders currently cached data to specified device.

Parameters:

  | pDevice | [in] Render to specified DirectX device.

HRESULT IRsUVRenderer::Invalidate | ( |  | ) |

Invalidates background texture.

HRESULT IRsUVRenderer::SetViewportData | ( | [in] const RtUVcoord & | panning,
|  | [in] RtFloat | zoom,
|  | [in] RtFloat | aspect |
| ) |  |  |

Sets viewport data for all internals.

Parameters:

  | panning | [in] Set panning value.
  | zoom | [in] Set zoom value.
  | aspect | [in] Set aspect value.

HRESULT IRsUVRenderer::Rebuild | ( | [in] IUnknown * | pDevice | ) |

Rebuilds background image and grid.

Parameters:

  | pDevice | [in] Render rebuilt background and grid to specified DirectX device.

HRESULT IRsUVRenderer::OnReset | ( |  | ) |

Clears all cached data when device reset.

HRESULT IRsUVRenderer::ClearMeshData | ( |  | ) |

Clears cached mesh and highlight data.

HRESULT IRsUVRenderer::FillNodeSelection | ( | [in] IRdUVEditorData * | pEditorData,
|  | [in] IRdUVEPreferences * | pPreferences,
|  | [in] IUnknown * | pDevice |
| ) |  |  |

Fills all data from node selection.

Parameters:

  | pEditorData | [in] UV Editor data.
  | pPreferences | [in] Preferences data.
  | pDevice | [in] Specified DirectX device.

HRESULT IRsUVRenderer::FillMeshData | ( | [in] IRdUVEditorData * | pEditorData,
|  | [in] IRdUVEPreferences * | pPreferences,
|  | [in] IUnknown * | pDeviceUnk,
|  | [in] RtBool | bRebuildTransparency |
| ) |  |  |

Fills mesh data from node selection.

Parameters:

  | pEditorData | [in] UV Editor data.
  | pPreferences | [in] Preferences data.
  | pDeviceUnk | [in] Specified DirectX device.
  | bRebuildTransparency | [in] Rebuild transparency.

HRESULT IRsUVRenderer::FillSelection | ( | [in] IRdUVEditorData * | pEditorData,
|  | [in] IRdUVEPreferences * | pPreferences,
|  | [in] IUnknown * | pDeviceUnk |
| ) |  |  |

Fills selection data.

Parameters:

  | pEditorData | [in] UV Editor data.
  | pPreferences | [in] Preferences data.
  | pDeviceUnk | [in] Specified DirectX device.

HRESULT IRsUVRenderer::FillHighlight | ( | [in] IRdUVEditorData * | pEditorData,
|  | [in] IRdUVEPreferences * | pPreferences,
|  | [in] IUnknown * | pDeviceUnk |
| ) |  |  |

Fills highlight data.

Parameters:

  | pEditorData | [in] UV Editor data.
  | pPreferences | [in] Preferences data.
  | pDeviceUnk | [in] Specified DirectX device.

HRESULT IRsUVRenderer::FillMaterials | ( | [in] IRdUVEditorData * | pEditorData,
|  | [in] IRdUVEPreferences * | pPreferences,
|  | [in] IUnknown * | pDeviceUnk |
| ) |  |  |

Fills internals for materials (texture quad and texture).

Parameters:

  | pEditorData | [in] UV Editor data.
  | pPreferences | [in] Preferences data.
  | pDeviceUnk | [in] Specified DirectX device.

HRESULT IRsUVRenderer::Fill | ( | [in] IRdUVEditorData * | pEditorData,
|  | [in] IRdUVEPreferences * | pPreferences,
|  | [in] IRdUVEViewport * | pViewport,
|  | [in] IUnknown * | pDevice,
|  | [in] RtDWORD | dwFlags |
| ) |  |  |

Fills all data calling above methods.

Parameters:

  | pEditorData | [in] UV Editor data.
  | pPreferences | [in] Preferences data.
  | pViewport | [in] Viewport.
  | pDevice | [in] Specified DirectX device.
  | dwFlags | [in] Set flags.